<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Form for editing the block instances.
 *
 * @package   block_wcln_progress
 * @copyright 2020 WCLN
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

class block_wcln_progress_edit_form extends block_edit_form {
    protected function specific_definition($mform) {
        global $OUTPUT;
        $plugin = 'block_wcln_progress';
        $options = array (0 => get_string('no'), 1 => get_string('yes'));
        $mform->addElement('header', 'configheader', get_string('blocksettings', 'block'));
        $attributes = array();
        $mform->addElement('select', 'config_groups', get_string('groupsdescription', $plugin), $options, $attributes);
    }
}
