<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    require_once($CFG->dirroot . '/blocks/wcln_progress/lib.php');
    $plugin = 'block_wcln_progress';
    $select = array(-1 => get_string('never'), 0 => get_string('no'), 1 => get_string('yes'));

    $allow = wcln_progress::_s('allowstudents');
    $allowdesc = wcln_progress::_s('allowstudentsdesc');
    $settings->add(
        new admin_setting_configselect('block_wcln_progress_allowstudents',
            $allow, $allowdesc, 0, $select
        )
    );

    $roles = $DB->get_records('role', null, 'sortorder ASC');

    $defaultsns = array('editingteacher', 'teacher', 'student');
    $defaults = array_filter($roles, function ($role) use ($defaultsns) {
        return in_array($role->shortname, $defaultsns);
    });

    $onlynames = function ($role) {
        return $role->shortname;
    };

    $settings->add(
        new admin_setting_configselect('block_wcln_progress_receipt',
        wcln_progress::_s('receipt'), wcln_progress::_s('receipt_help'),
        0, $select
        )
    );

    $options = array(
        0 => get_string('none'),
        'idnumber' => get_string('idnumber'),
        'shortname' => get_string('shortname')
    );
    $setting = new admin_setting_configtext('custom1',
        get_string('custom1', $plugin), get_string('custom1help', $plugin), 'contact1');
    $setting->plugin = $plugin;
    $settings->add($setting);

    $setting = new admin_setting_configtext('custom2',
        get_string('custom2', $plugin), get_string('custom2help', $plugin), 'contact2');
    $setting->plugin = $plugin;
    $settings->add($setting);

    $setting = new admin_setting_configtext('custom3',
        get_string('custom3', $plugin), get_string('custom3help', $plugin), 'contact3');
    $setting->plugin = $plugin;
    $settings->add($setting);
}
